Subject: bug#11198: problems reading data with a "read-hash-extend" registered reader

From: Andy Wingo <[email-masked]>
Date: Tue, 24 Apr 2012 10:11:10 +0200

On Sun 22 Apr 2012 20:01, [email-masked] (Ludovic Courtès) writes:

> I think the reader should only return valid Scheme objects that have a
> read syntax (info "(r5rs) Lexical Structure"), and records are not among
> them.

I agree, FWIW.

> We could imagine changing the compiler to be able to serialize records
> in the future, but I think that’s a longer-term approach, and not
> directly relevant to this report.

Agreed, and this is a tricky area AFAIU -- see Racket's documentation on
prefab structures:

  http://docs.racket-lang.org/reference/structures.html?q=record&q=structs&q=records#(tech._prefab)

Regards,

Andy
-- 
http://wingolog.org/